Error when building custom widget cloud package

2
I developed a custom widget which seems to function normally when running it locally in Mx6.10.3 but when i try to build it in the cloud it gives me an error saying it is outdated? How can it run normally locally, but cause problems in the cloud? Even if it was outdated i would expect it to give me the same error on my development environment. Also the check widgets tool does not provide any usefull info, just that it fails on my custom widget.  Running "generate:profile" (generate) task C:\Users\Pieter van de Braak\Mendix\Mammoet Road Cargo - TMS-main\deployment\widgets.config.json [ 'Pusher.widget.Pusher' ] Running "generate:javascript" (generate) task C:\Users\Pieter van de Braak\Mendix\Mammoet Road Cargo - TMS-main\deployment\widgets.config.json [ 'Pusher.widget.Pusher' ] Running "dojo:dist" (dojo) task Building Dojo... >> Error Warning: Task "dojo:dist" failed. Use --force to continue. Aborted due to warnings. What could be the cause of this error that it does work locally but not when building a package? Edit: After changing the logging i now get the following error:   error(308) Failed to evaluate AMD define function. module: Pusher/widget/Pusher; text: define([ "dojo/_base/declare", "mxui/widget/_WidgetBase", "dijit/_TemplatedMixin", "mxui/dom", "dojo/dom", "dojo/dom-prop", "dojo/dom-geometry", "dojo/dom-class", "dojo/dom-style", "dojo/dom-construct", "dojo/_base/array", "dojo/_base/lang", "dojo/text", "dojo/html", "dojo/_base/event", "dojo/text!Pusher/widget/template/Pusher.html", "https: ],{}); error: SyntaxError: Unexpected token ILLEGAL so it seems it does not allow me to link directly to the online version of the pusher widget files, changing the javascript from the minified version https://js.pusher.com/4.0/pusher.min.js to https://js.pusher.com/4.0/pusher.js did not solve my problem
asked
1 answers
2

It can have numerous reasons, mostly it's a minified library that fails to build with Dojo build. In order to get a better output from your log, you can apply this trick (see answer): ERROR: Could not build your widgets. This may be due to outdated widgets in your project.‚Äč

Another issue with your widget could be file casing. This is due to the fact that Windows ignores it, Linux (cloud) doesn't. Your widget is called 'Pusher'. Make sure that in your file structure the src/widget/Pusher.js is also in uppercase.

answered